Bug 848034 - "glusterfs --client-pid" is broken
"glusterfs --client-pid" is broken
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: fuse (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Csaba Henk
: Triaged
Depends On:
Blocks: 848322
  Show dependency treegraph
 
Reported: 2012-08-14 07:43 EDT by Csaba Henk
Modified: 2013-07-24 13:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848322 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:53:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Csaba Henk 2012-08-14 07:43:08 EDT
Description of problem:

"--client-pid" glusterfs client option is ignored

Version-Release number of selected component (if applicable):

http://review.gluster.com/3698 onwards

How reproducible:

Absolutely

Steps to Reproduce:
1. set up glusterfs, create a volume called, say, "poc"
2. gluster vol set poc indexing on
2. mount poc with this command:
   glusterfs -s localhost --volfile-id=poc --client-pid=-1 /mnt/gluster
3. getfattr -h -m. -ehex -n trusted.glusterfs.volume-mark /mnt/gluster
  
Actual results:

/mnt/gluster/: trusted.glusterfs.volume-mark: No such attribute

Expected results:

# file: mnt/gluster
trusted.glusterfs.volume-mark=0x010005de301e337a4d9bb03d31cdca9ffc4200502a397500047464
Comment 1 Vijay Bellur 2012-08-19 12:32:22 EDT
CHANGE: http://review.gluster.com/3820 (fix "--client-pid") merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.